SDL_gfx 2.0.25

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SDL_gfxBlitInfo Struct Reference

The structure passed to the low level blit functions. More...

`#include <SDL_gfxBlitFunc.h>`

## Data Fields

Uint8 * | s_pixels
int | s_width
int | s_height
int | s_skip
Uint8 * | d_pixels
int | d_width
int | d_height
int | d_skip
void * | aux_data
SDL_PixelFormat * | src
Uint8 * | table
SDL_PixelFormat * | dst

## Detailed Description

The structure passed to the low level blit functions.

Definition at line 77 of file SDL_gfxBlitFunc.h.

## Field Documentation

void* aux_data

Definition at line 86 of file SDL_gfxBlitFunc.h.

int d_height

Definition at line 84 of file SDL_gfxBlitFunc.h.

Uint8* d_pixels

Definition at line 82 of file SDL_gfxBlitFunc.h.

int d_skip

Definition at line 85 of file SDL_gfxBlitFunc.h.

int d_width

Definition at line 83 of file SDL_gfxBlitFunc.h.

SDL_PixelFormat* dst

Definition at line 89 of file SDL_gfxBlitFunc.h.

int s_height

Definition at line 80 of file SDL_gfxBlitFunc.h.

Uint8* s_pixels

Definition at line 78 of file SDL_gfxBlitFunc.h.

int s_skip

Definition at line 81 of file SDL_gfxBlitFunc.h.

int s_width

Definition at line 79 of file SDL_gfxBlitFunc.h.

SDL_PixelFormat* src

Definition at line 87 of file SDL_gfxBlitFunc.h.

Uint8* table

Definition at line 88 of file SDL_gfxBlitFunc.h.

The documentation for this struct was generated from the following file:

- I:/Sources/sdlgfx/SDL_gfxBlitFunc.h